function ma=cgolay(m,n,s)

%cgolay Generation of polynomial filter.
%       cgolay(M,N,S) yields, in a matrix of dimensions 2M+1, a
%       filter to adjust a polynomial of degree N to a particular point +/- M points.
%       S is the order of the derivative to be obtained when applying the filter
%	(if S=0 there is just smoothing with no derivative).

   d=2*m+1;
   ma=zeros(d,d);
   for i=-m:m,
      for t=-m:m,
         ma(i+m+1,t+m+1)=polipes(i,t,m,n,s); 
      end
   end
